<!DOCTYPE html>
<html lang="en">
    <head>
        {% block head %}
        <!-- Required meta tags -->
        <meta charset="utf-8" />
        <meta
            name="viewport"
            content="width=device-width, initial-scale=1, shrink-to-fit=no"
        />
        <link
            rel="stylesheet"
            href="{{ url_for('static', filename='css/style.css') }}"
        />
        {% block styles %}
        <!-- Bootstrap CSS -->
        {{ bootstrap.load_css() }} {% endblock %}

        <title>Kolbice</title>
        {% endblock %}
    </head>
    <body
        class="p-4"
        style="
            background: url('https://turbopizza.hu/catalog/view/theme/turbopizza/image/background/4-min.jpg')
                no-repeat fixed top;
            background-size: cover;
        "
    >
        <nav class="navbar navbar-expand-lg navbar-dark bg-base mb-4 rounded">
            <div class="container-fluid">
                <a class="navbar-brand" href="/">KolBice</a>
                <button
                    class="navbar-toggler"
                    type="button"
                    data-bs-toggle="collapse"
                    data-bs-target="#navbarNavAltMarkup"
                    aria-controls="navbarNavAltMarkup"
                    aria-expanded="false"
                    aria-label="Toggle navigation"
                >
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
                    <div class="navbar-nav">
                        <a class="nav-link active" aria-current="page" href="/"
                            >Pizzák</a
                        >

                        <a class="nav-link" href="/cart">Kosár</a>

                        <a class="nav-link" href="/add-pizza"
                            >Pizza és feltét hozzáadás</a
                        >
                        <a class="nav-link" href="/orders">Rendelések</a>
                    </div>
                </div>
            </div>
        </nav>

        <!-- Your page content -->
        {% block content %}{% endblock %} {% block scripts %}
        <!-- Optional JavaScript -->
        <!-- <script>
            function addToCart(productId) {
                fetch("http://localhost:5000/cart/" + productId, {
                    method: "POST",
                });
            }

            function removeFromCart(productId) {
                fetch("http://localhost:5000/cart/" + productId, {
                    method: "DELETE",
                });
            }
        </script> -->

        {{ bootstrap.load_js() }} {% endblock %}
    </body>
</html>
